Anonymous Login
2019-06-19 06:32 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000751v2.3 Release (Closed)[All Projects] Generalpublic2011-03-29 22:26
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version2.3 
Target VersionFixed in Version2.3 
Summary0000751: day calendar shows private task
Descriptionon first calling (after clicking calendar), event_filter is not set to my, and foreign private tasks are displayed

if my events is manually selected, everything is ok
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001791

caseydk (administrator)


Someone else's private Tasks or private Events?

~0001796

opto (manager)

other peoples tasks

using the debugger, the page does not preset the filter with my if not explicitly chosen.

There must be something wrong with the new ...state... function that is supposed to do this (am on business trip, don't remember how it is called)

Klaus

~0001798

opto (manager)

current revision doesn't show owner's events on day view, month view is now ok

R 1677 fixed an E_Fatal (don't know whether bazaar counts revisions identical to svn)

~0001808

caseydk (administrator)

The default filter wasn't being set for events.. so even though you couldn't click through to view private events, they showed;
Applied the same to tasks for the Todo list gantt chart;

Resolved in r1771 & 1772

~0001826

caseydk (administrator)

Closed in preparation for v2.3
+Notes

-Issue History
Date Modified Username Field Change
2011-03-23 08:55 opto New Issue
2011-03-24 23:14 caseydk Note Added: 0001791
2011-03-24 23:14 caseydk Status new => feedback
2011-03-25 02:00 opto Note Added: 0001796
2011-03-25 12:35 opto Note Added: 0001798
2011-03-26 20:20 caseydk Note Added: 0001808
2011-03-26 20:20 caseydk Status feedback => resolved
2011-03-26 20:20 caseydk Fixed in Version => 2.3
2011-03-26 20:20 caseydk Resolution open => fixed
2011-03-26 20:20 caseydk Assigned To => caseydk
2011-03-29 22:26 caseydk Note Added: 0001826
2011-03-29 22:26 caseydk Status resolved => closed
+Issue History